Oracle Linux 8 : pki-deps:10.6 (ELSA-2019-1529)

critical Nessus 插件 ID 127594

简介

远程 Oracle Linux 主机缺少一个或多个安全更新。

描述

来自 Red Hat 安全公告 2019:1529: pki-deps:10.6 模块的更新现可用于 Red Hat Enterprise Linux 8。 Red Hat 产品安全团队将此更新评级为具有重要安全影响。可从“参考”部分中的 CVE 链接获取通用漏洞评分系统 (CVSS) 基本分数,其针对每个漏洞给出了详细的严重性等级。 公钥基础结构 (PKI) Deps 模块含有 Red Hat 证书系统的 pki-core 模块依赖项所需的基础程序包。 安全补丁: * tomcat:由于 NIO/NIO2 连接器中错误处理的关闭,可能会混合用户会话 (CVE-2018-8037) * tomcat:CORS 筛选器中的不安全默认值对所有源启用 'supportsCredentials' (CVE-2018-8014) * tomcat:默认 servlet 中的开放重定向 (CVE-2018-11784) * tomcat:WebSocket 客户端中缺少主机名验证 (CVE-2018-8034) 有关此安全问题的详细信息,包括其影响、CVSS 分数、致谢和其他相关信息,请参阅列于“参考”部分的 CVE 页面。

解决方案

更新受影响的 pki-deps:10.6 程序包。

另见

https://oss.oracle.com/pipermail/el-errata/2019-August/008981.html

插件详情

严重性: Critical

ID: 127594

文件名: oraclelinux_ELSA-2019-1529.nasl

版本: 1.4

类型: local

代理: unix

发布时间: 2019/8/12

最近更新时间: 2021/7/15

支持的传感器: Frictionless Assessment Agent, Nessus Agent

风险信息

VPR

风险因素: High

分数: 7.4

CVSS v2

风险因素: High

基本分数: 7.5

时间分数: 5.9

矢量: AV:N/AC:L/Au:N/C:P/I:P/A:P

时间矢量: E:POC/RL:OF/RC:C

CVSS v3

风险因素: Critical

基本分数: 9.8

时间分数: 8.8

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

时间矢量: E:P/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:oracle:linux:apache-commons-collections, p-cpe:/a:oracle:linux:apache-commons-lang, p-cpe:/a:oracle:linux:bea-stax-api, p-cpe:/a:oracle:linux:glassfish-fastinfoset, p-cpe:/a:oracle:linux:glassfish-jaxb-api, p-cpe:/a:oracle:linux:glassfish-jaxb-core, p-cpe:/a:oracle:linux:glassfish-jaxb-runtime, p-cpe:/a:oracle:linux:glassfish-jaxb-txw2, p-cpe:/a:oracle:linux:jackson-annotations, p-cpe:/a:oracle:linux:jackson-core, p-cpe:/a:oracle:linux:jackson-databind, p-cpe:/a:oracle:linux:jackson-jaxrs-json-provider, p-cpe:/a:oracle:linux:jackson-jaxrs-providers, p-cpe:/a:oracle:linux:jackson-module-jaxb-annotations, p-cpe:/a:oracle:linux:jakarta-commons-httpclient, p-cpe:/a:oracle:linux:javassist, p-cpe:/a:oracle:linux:javassist-javadoc, p-cpe:/a:oracle:linux:pki-servlet-4.0-api, p-cpe:/a:oracle:linux:pki-servlet-container, p-cpe:/a:oracle:linux:python-nss-doc, p-cpe:/a:oracle:linux:python3-nss, p-cpe:/a:oracle:linux:relaxngDatatype, p-cpe:/a:oracle:linux:resteasy, p-cpe:/a:oracle:linux:slf4j, p-cpe:/a:oracle:linux:slf4j-jdk14, p-cpe:/a:oracle:linux:stax-ex, p-cpe:/a:oracle:linux:velocity, p-cpe:/a:oracle:linux:xalan-j2, p-cpe:/a:oracle:linux:xerces-j2, p-cpe:/a:oracle:linux:xml-commons-apis, p-cpe:/a:oracle:linux:xml-commons-resolver, p-cpe:/a:oracle:linux:xmlstreambuffer, p-cpe:/a:oracle:linux:xsom, cpe:/o:oracle:linux:8

必需的 KB 项: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

可利用: true

易利用性: Exploits are available

补丁发布日期: 2019/8/1

漏洞发布日期: 2018/5/16

参考资料信息

CVE: CVE-2018-11784, CVE-2018-8014, CVE-2018-8034, CVE-2018-8037

RHSA: 2019:1529